  // *******************************************************************************
  // *
  // *  Copyright (C) 2007 Dallas/Maxim Semiconductor Corporation. 
  // *  All rights Reserved. Printed in U.S.A.
  // *
  // *  This software is protected by copyright laws of the United States and of 
  // *  foreign countries.  This material may also be protected by patent laws of
  // *  the United States and of foreign countries. This software is furnished 
  // *  under a license agreement and/or a nondisclosure agreement and may only 
  // *  be used or copied in accordance with the terms of those agreements.  The 
  // *  mere transfer of this software does not imply any licenses of trade 
  // *  secrets, proprietary technology, copyrights, patents, trademarks, 
  // *  maskwork rights, or any other form of intellectual property whatsoever. 
  // *  Dallas/Maxim Semiconductor retains all ownership rights.
  // *
  // *
  // *     Description: MAX2990
  // *        Filename: MAX2990.c
  // *          Author: Konrad Scheuer
  // *        Compiler: IAR
  // *         Version: 2.20I
  // *         Created: 2009_11_27
  // *
  // *         Purpose: MAX2990 Clock init routine
  // *												
  // *******************************************************************************


#include <intrinsics.h>
#include "inc/iomaxqwv17_B1.h"
#include "MAX2990.h"

void CLK_init( void )
{

   /* Wait for external clock warm-up */
   /* default clock source is XT after POR */
  while(CKCN_bit.RGMD);

   /* Select SysCLK multiplier PLL to 4x */
  PMR_bit.SCM  = 0;
  PMR_bit.CTM  = 1;
  PMR_bit.CTMS = 1;
//  PMR = 245;
  
   /* Wait for sys clk ready */
  while(!PMR_bit.CKRY);
}
