  // *******************************************************************************
  // *
  // *  Copyright (C) 2007 Dallas/Maxim Semiconductor Corporation. 
  // *  All rights Reserved. Printed in U.S.A.
  // *
  // *  This software is protected by copyright laws of the United States and of 
  // *  foreign countries.  This material may also be protected by patent laws of
  // *  the United States and of foreign countries. This software is furnished 
  // *  under a license agreement and/or a nondisclosure agreement and may only 
  // *  be used or copied in accordance with the terms of those agreements.  The 
  // *  mere transfer of this software does not imply any licenses of trade 
  // *  secrets, proprietary technology, copyrights, patents, trademarks, 
  // *  maskwork rights, or any other form of intellectual property whatsoever. 
  // *  Dallas/Maxim Semiconductor retains all ownership rights.
  // *
  // *
  // *     Description: MAX2990
  // *        Filename: i2c.c
  // *          Author: Konrad Scheuer
  // *        Compiler: IAR
  // *         Version: 2.20I
  // *         Created: 2009_11_27
  // *
  // *         Purpose: Declaration of Basic I2C read and write routines
  // *												
  // *******************************************************************************

#ifndef _I2C_H_
#define _I2C_H_


#define I2C_START   I2CCN_bit.I2CSTART = 1; //generate START condition
#define I2C_STOP    I2CCN_bit.I2CSTOP = 1;  //generate STOP condition

void i2c_init(UINT16 clk);
void i2c_init_write(void);
void i2c_init_read(void);
void i2c_write(UINT8 data);
void i2c_read(UINT8 *data);

#endif
