  // *******************************************************************************
  // *
  // *  Copyright (C) 2007 Dallas/Maxim Semiconductor Corporation. 
  // *  All rights Reserved. Printed in U.S.A.
  // *
  // *  This software is protected by copyright laws of the United States and of 
  // *  foreign countries.  This material may also be protected by patent laws of
  // *  the United States and of foreign countries. This software is furnished 
  // *  under a license agreement and/or a nondisclosure agreement and may only 
  // *  be used or copied in accordance with the terms of those agreements.  The 
  // *  mere transfer of this software does not imply any licenses of trade 
  // *  secrets, proprietary technology, copyrights, patents, trademarks, 
  // *  maskwork rights, or any other form of intellectual property whatsoever. 
  // *  Dallas/Maxim Semiconductor retains all ownership rights.
  // *
  // *
  // *     Description: I2C write and read EEPROM type 24C04
  // *        Filename: main.c
  // *          Author: Konrad Scheuer
  // *        Compiler: IAR
  // *         Version: 2.20I
  // *         Created: 2009_11_27
  // *
  // *         Purpose: Read and write EEPROM type 24C04 using MAX2990 I2C engine
  // *												
  // *******************************************************************************

#include <stdio.h>
#include <stdlib.h>
#include <intrinsics.h>
#include "inc/iomaxqwv17_B1.h"
#include "global.h"
#include "i2c.h"
#include "MAX2990.h"
#include "uart.h"


volatile static unsigned char  buffer;

int main( void )
{   
  int i;
  char *ptr;
  char x[5];
  
  
  CLK_init(); 
  UART_init(BAUD_RATE_115200);  
  i2c_init(0);
  i2c_init_write();  
  i2c_write(0x50); // 24c02 write (adr = 0b1010 000 0) = 0xA0 

  
  i2c_write(0x00);  // word address
  i2c_write(0x22);  // data1
  i2c_write(0x33);  // data2
  i2c_write(0x44);  // data3
  i2c_write(0x55);  // data4
  i2c_write(0x66);  // data5  
  
  I2C_STOP;
  
  printf("\n\rWritten 5 bytes to 24c02\n\r");
  for (i=0; i<30000; i++); // wait until 24c04 is done with writing consult datasheet of 24c04
  
  
  // read the data back
  i2c_init_write();   
  i2c_write(0x50); // 24c02 write (adr = 0b1010 000 0) = 0xA0   
  i2c_write(0x00);  // word address  
  
  i2c_init_read();  
  i2c_write(0x50); // 24c02 read (adr = 0b1010 000 1) = 0xA1     


  
  for (i=0; i<5; i++) 
  {
    ptr = x+i;
    i2c_read(ptr);
  }

  I2C_STOP;
  
  printf("\n\rRead this back: 0x%x 0x%x 0x%x 0x%x 0x%x from 24c02\n\r",x[0],x[1],x[2],x[3],x[4]);

  get_enter_from_keyboard();
    
    
  
}


