  // *******************************************************************************
  // *
  // *  Copyright (C) 2007 Dallas/Maxim Semiconductor Corporation. 
  // *  All rights Reserved. Printed in U.S.A.
  // *
  // *  This software is protected by copyright laws of the United States and of 
  // *  foreign countries.  This material may also be protected by patent laws of
  // *  the United States and of foreign countries. This software is furnished 
  // *  under a license agreement and/or a nondisclosure agreement and may only 
  // *  be used or copied in accordance with the terms of those agreements.  The 
  // *  mere transfer of this software does not imply any licenses of trade 
  // *  secrets, proprietary technology, copyrights, patents, trademarks, 
  // *  maskwork rights, or any other form of intellectual property whatsoever. 
  // *  Dallas/Maxim Semiconductor retains all ownership rights.
  // *
  // *
  // *     Description: MAX2990
  // *        Filename: uart.h
  // *          Author: Konrad Scheuer
  // *        Compiler: IAR
  // *         Version: 2.20I
  // *         Created: 2009_11_27
  // *
  // *         Purpose: Declaraction for 
  // *                  basic UART routines to allow controls and printf through Hyperterminal
  // *												
  // *******************************************************************************

#ifndef _UART_H_
#define _UART_H_

#include  "global.h"
#include "inc/iomaxqwv17_B1.h"

#define CLEAR_TI asm("move M2[6].1, #0")
#define CLEAR_RI asm("move M2[6].0, #0")

#define CTS   PO2_bit.Bit4
#define RTS   PI2_bit.Bit3
/* CTS (output) - P2.4; RTS (input) P2.3 */
#define UART_HW_CTRL  {asm("move M0[18].4, #1"); asm("move M0[18].3, #0");}
#define CLEAR_CTS asm("move M0[2].4, #0")
#define SET_CTS   asm("move M0[2].4, #1")

/* UART baud rate setting for system clock 32 MHz */
#define BAUD_RATE_14400   3900
#define BAUD_RATE_57600   15600
#define BAUD_RATE_115200  30200 

void  UART_init(UINT16 baud);
int putchar(int outchar);
int get_number_from_keyboard (void);
void get_enter_from_keyboard(void);
int get_digit_from_keyboard (int min, int max);
void clear_screen (void);
void keyboard_test (void);

#endif

